get
https://api.rotowire.com/Baseball/MLB/ProjectedStarters.php
Returns the MLB Probable Starters grid, showing the projected starting pitcher for each team. This is a separate feed from MLB Lineups and is available at separate cost.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve starters for. Format YYYY-MM-DD. Defaults to current date. |
spring_training | integer | No | Set to 1 to include spring training games. Confirmed starters only during spring training. Options: 0, 1 · Default: 0 |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | |
Games | array |
Games Object
| Field | Type | Description |
|---|---|---|
Id | string | |
DateTime | string | |
Teams | array |
Example Response
{
"Date": "2017-07-15",
"Games": [
{
"Id": "44944",
"DateTime": "2017-07-15T16:05:00-04:00",
"Teams": [
{
"Id": "4",
"Code": "BOS",
"IsHome": 1,
"Name": "Boston Red Sox",
"Nickname": "Red Sox",
"StartingPitcher": {
"Id": "11438",
"FirstName": "Chris",
"LastName": "Sale",
"Position": "P",
"Designation": "STARTING",
"Link": "https://www.rotowire.com/baseball/player.htm?id=11438"
},
"OpenerPitcher": null,
"PrimaryPitcher": null
}
]
}
]
}